(* Copyright (C) 1990, Digital Equipment Corporation.                 *)
(* All rights reserved.                                               *)
(* See the file COPYRIGHT for a full description.                     *)

<*EXTERNAL*> INTERFACE Usignal;

FROM Ctypes IMPORT int;
FROM Utypes IMPORT pid_t;

(*CONST*)
<*EXTERNAL "Usignal__SIGINT"*> VAR SIGINT: int;
<*EXTERNAL "Usignal__SIGKILL"*> VAR SIGKILL: int;
<*EXTERNAL "Usignal__SIGALRM"*> VAR SIGALRM: int;
<*EXTERNAL "Usignal__SIGCHLD"*> VAR SIGCHLD: int;
<*EXTERNAL "Usignal__SIGHUP"*>  VAR SIGHUP:  int;
<*EXTERNAL "Usignal__SIGTERM"*> VAR SIGTERM: int;
<*EXTERNAL "Usignal__SIGSTOP"*> VAR SIGSTOP: int;


<*EXTERNAL "Usignal__SIGQUIT"*> VAR SIGQUIT: int;
<*EXTERNAL "Usignal__SIGILL"*> VAR SIGILL: int;

(*X(SIGTRAP)
X(SIGABRT)
X(SIGEXCEPT)
X(SIGFPE)
X(SIGBUS)
X(SIGSEGV)
X(SIGSYS)
X(SIGPIPE)
X(SIGUSR1)
X(SIGUSR2)
X(SIGIO)
X(SIGWINCH)
X(SIGURG)
X(SIGPOLL)
X(SIGTSTP)
X(SIGCONT)
X(SIGTTIN)
X(SIGTTOU)
X(SIGVTALRM)
X(SIGPROF)
X(SIGXCPU)
X(SIGXFSZ)
X(SIGCANCEL)
X(NSIG)
X(SIGIOT)
X(SIGCLD)
X(SA_NOCLDSTOP)
X(SA_RESTART)
X(SA_RESETHAND)
X(SIG_BLOCK)
X(SIG_UNBLOCK)
X(SIG_SETMASK)
*)

TYPE
  SignalHandler = PROCEDURE (sig: int);
  SignalActionHandler = PROCEDURE (sig: int; sip: siginfo_t_star; uap: ADDRESS (* Uucontext.ucontext_t_star *) );
  siginfo_t_star = ADDRESS;

<*EXTERNAL "Usignal__kill"*>PROCEDURE kill (pid: pid_t; sig: int): int;

END Usignal.
